Bug 1568208 - [abrt] ibus-libpinyin: pinyin_save(): ibus-engine-libpinyin killed by SIGSEGV
Summary: [abrt] ibus-libpinyin: pinyin_save(): ibus-engine-libpinyin killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f84e0f0b8ff528121fd7e27cbd3...
: 1586296 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 01:00 UTC by Kohei Takahashi
Modified: 2019-01-23 06:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-11 07:30:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.33 KB, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: core_backtrace (8.44 KB, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: cpuinfo (1.91 KB, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: dso_list (2.98 KB, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: environ (1.76 KB, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-17 01:00 UTC, Kohei Takahashi
no flags Details
File: maps (15.72 KB, text/plain)
2018-04-17 01:01 UTC, Kohei Takahashi
no flags Details
File: mountinfo (4.48 KB, text/plain)
2018-04-17 01:01 UTC, Kohei Takahashi
no flags Details
File: open_fds (845 bytes, text/plain)
2018-04-17 01:01 UTC, Kohei Takahashi
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-17 01:01 UTC, Kohei Takahashi
no flags Details
File: exploitable (131 bytes, application/octet-stream)
2018-04-17 01:01 UTC, Kohei Takahashi
no flags Details

Description Kohei Takahashi 2018-04-17 01:00:39 UTC
Version-Release number of selected component:
ibus-libpinyin-1.9.91-1.fc29

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_save
executable:     /usr/libexec/ibus-engine-libpinyin
journald_cursor: s=ba2f82ffd0114a3bab20b3d55e910b94;i=9e0c5;b=ce1d8515fb9b4d079390d1043e6d2211;m=363b6443;t=56a00a3ce1cf0;x=576db2002e03ba19
kernel:         4.16.0-0.rc7.git1.1.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pinyin_save at pinyin.cpp:733
 #1 PY::LibPinyinBackEnd::clearPinyinUserData at PYLibPinyin.cc:307
 #2 PY::PinyinConfig::valueChanged(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, _GVariant*) at /usr/include/c++/8/bits/basic_string.h:2271
 #3 PY::LibPinyinConfig::valueChangedCallback(_GSettings*, char const*, PY::LibPinyinConfig*) at /usr/include/c++/8/bits/basic_string.h:252
 #8 g_settings_real_change_event at gsettings.c:386
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:525
 #11 g_cclosure_marshal_generic_va at gclosure.c:1604
 #12 _g_closure_invoke_va at gclosure.c:867
 #15 settings_backend_path_changed at gsettings.c:461

Comment 1 Kohei Takahashi 2018-04-17 01:00:46 UTC
Created attachment 1422811 [details]
File: backtrace

Comment 2 Kohei Takahashi 2018-04-17 01:00:47 UTC
Created attachment 1422812 [details]
File: cgroup

Comment 3 Kohei Takahashi 2018-04-17 01:00:50 UTC
Created attachment 1422813 [details]
File: core_backtrace

Comment 4 Kohei Takahashi 2018-04-17 01:00:52 UTC
Created attachment 1422814 [details]
File: cpuinfo

Comment 5 Kohei Takahashi 2018-04-17 01:00:54 UTC
Created attachment 1422815 [details]
File: dso_list

Comment 6 Kohei Takahashi 2018-04-17 01:00:56 UTC
Created attachment 1422816 [details]
File: environ

Comment 7 Kohei Takahashi 2018-04-17 01:00:58 UTC
Created attachment 1422817 [details]
File: limits

Comment 8 Kohei Takahashi 2018-04-17 01:01:00 UTC
Created attachment 1422818 [details]
File: maps

Comment 9 Kohei Takahashi 2018-04-17 01:01:02 UTC
Created attachment 1422819 [details]
File: mountinfo

Comment 10 Kohei Takahashi 2018-04-17 01:01:04 UTC
Created attachment 1422820 [details]
File: open_fds

Comment 11 Kohei Takahashi 2018-04-17 01:01:05 UTC
Created attachment 1422821 [details]
File: proc_pid_status

Comment 12 Kohei Takahashi 2018-04-17 01:01:07 UTC
Created attachment 1422822 [details]
File: exploitable

Comment 13 Jan Kurik 2018-08-14 10:06:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 14 Peng Wu 2018-10-11 07:30:12 UTC
ibus-libpinyin 1.10.91 released, close bug.

Comment 15 Peng Wu 2019-01-23 06:25:05 UTC
*** Bug 1586296 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.